## Package org.apache.hadoop.io.file.tfile

Interface Summary
RawComparable: Interface for objects that can be compared through `RawComparator`.

Class Summary
ByteArray: Adaptor class to wrap byte-array backed objects (including java byte array) as RawComparable objects.
TFile: A TFile is a container of key-value pairs.
TFile.Reader: TFile Reader.
TFile.Reader.Scanner: The TFile Scanner.
TFile.Writer: TFile Writer.
Utils: Supporting Utility classes used by TFile, and shared by users of TFile.
Utils.Version: A generic Version class.

Exception Summary
MetaBlockAlreadyExists: Exception - Meta Block with the same name already exists.
MetaBlockDoesNotExist: Exception - No such Meta Block with the given name.

Copyright © 2009 The Apache Software Foundation